"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const set_value_1 = __importDefault(require("set-value"));
const strind_1 = __importDefault(require("strind"));
function formatResults(results) {
    const finalResults = [];
    results.forEach((result, index) => {
        finalResults.push(Object.assign({}, result, { formatted: Object.assign({}, result.item) }));
        result.matches.forEach(({ indices, key, value }) => {
            const { matched } = strind_1.default(value, indices, ({ chars: text, matches }) => ({ text, isHighlighted: matches }));
            if (key.split('.').length > 1) {
                set_value_1.default(finalResults[index].formatted, key, matched);
            }
            else {
                finalResults[index].formatted[key] = matched;
            }
        });
    });
    return finalResults;
}
exports.formatResults = formatResults;
